#ifndef CRIT
#define CRIT

#include "point.h"
#include "ppoly.h"

int solveCS (const PPoly &f, Point2 *th);

int criticality3 (Point2 *m, Point2 *f, Parameter *r, Point2 *th);

PPoly criticality3eq (Point2 *m, Point2 *f, Parameter *r);

void distanceSquared (const Point2 &a, const Point2 &b, 
		      const Point2 &c, const Point2 &d, Parameter *x);

void product11 (Parameter *k, Parameter *l, Parameter *x);

void product12 (Parameter *k, Parameter *l, Parameter *x);

PPoly functionCS3 (Parameter *a);

#endif
