#ifndef RSOLVECS
#define RSOLVECS

#include "point.h"

int solveCS (const PPoly &f, Point2 *th);

int solveCSAux (const PPoly &f, bool flag, Parameter *t);

PFunPoly univariateCS (const PPoly &f, bool flag);

void termCS (const Parameter &u, int c, int s, int d, bool flag, Parameter *a);

int choose (int k, int n);

int power (int b, int d);

Point2 pointCS (const Parameter &t, bool flag);

int implicit (const PFunPoly &f, double lb, double ub, Parameter *res);

int implicit2 (const PFunPoly &f, double lb, double ub, Parameter *res);

Point2 polishCS (const PPoly &f, Point2 &th);

#endif
