#ifndef SOLVECS
#define SOLVECS

#include "point.h"
#include "implicit.h"
#include "ppoly.h"

int solveCS (const PPoly &f, Point2 *th);

int solveCSAux (const PPoly &f, bool flag, Parameter *t);

PFunPoly univariateCS (const PPoly &f, bool flag);

void termCS (const Parameter &u, int c, int s, int d, bool flag, Parameter *a);

int choose (int k, int n);

int power (int b, int d);

Point2 pointCS (const Parameter &t, bool flag);

Point2 polishCS (const PPoly &f, Point2 &th);

#endif
